functional File Reference
Technical Specifications » Library Fundamentals TS

Go to the source code of this file.

## Namespaces

namespace | std
namespace | std::experimental

## Macros

#define | __cpp_lib_experimental_boyer_moore_searching
#define | __cpp_lib_experimental_not_fn
#define | _GLIBCXX_EXPERIMENTAL_FUNCTIONAL

## Typedefs

template<typename _RAIter, typename _Hash, typename _Pred, typename _Val = typename iterator_traits<_RAIter>::value_type, typename _Diff = typename iterator_traits<_RAIter>::difference_type>
using | std::experimental::__boyer_moore_base_t

## Functions

template<typename _RAIter, typename _Hash = std::hash<typename std::iterator_traits<_RAIter>::value_type>, typename _BinaryPredicate = equal_to<>>
boyer_moore_horspool_searcher< _RAIter, _Hash, _BinaryPredicate > | std::experimental::make_boyer_moore_horspool_searcher (_RAIter __pat_first, _RAIter __pat_last, _Hash __hf=_Hash(), _BinaryPredicate __pred=_BinaryPredicate())
template<typename _RAIter, typename _Hash = std::hash<typename std::iterator_traits<_RAIter>::value_type>, typename _BinaryPredicate = equal_to<>>
boyer_moore_searcher< _RAIter, _Hash, _BinaryPredicate > | std::experimental::make_boyer_moore_searcher (_RAIter __pat_first, _RAIter __pat_last, _Hash __hf=_Hash(), _BinaryPredicate __pred=_BinaryPredicate())
template<typename _ForwardIterator, typename _BinaryPredicate = std::equal_to<>>
default_searcher< _ForwardIterator, _BinaryPredicate > | std::experimental::make_default_searcher (_ForwardIterator __pat_first, _ForwardIterator __pat_last, _BinaryPredicate __pred=_BinaryPredicate())
template<typename _Fn>
auto | std::experimental::not_fn (_Fn &&__fn) noexcept(std::is_nothrow_constructible< std::decay_t< _Fn >, _Fn && >::value)

## Variables

template<typename _Tp>
constexpr bool | std::experimental::is_bind_expression_v
template<typename _Tp>
constexpr int | std::experimental::is_placeholder_v

## Detailed Description

This is a TS C++ Library header.

Definition in file experimental/functional.

## Macro Definition Documentation

## __cpp_lib_experimental_boyer_moore_searching

#define __cpp_lib_experimental_boyer_moore_searching

Definition at line 68 of file experimental/functional.

## __cpp_lib_experimental_not_fn

#define __cpp_lib_experimental_not_fn

Definition at line 368 of file experimental/functional.

## _GLIBCXX_EXPERIMENTAL_FUNCTIONAL

#define _GLIBCXX_EXPERIMENTAL_FUNCTIONAL

Definition at line 31 of file experimental/functional.